<div id="search-component" class="col-1-1">
    <h4>Hero Search</h4>
    <input #searchBox id="search-box" (keyup)="search(searchBox.value)"/>
    <div>
        <div *ngFor="let hero of heroes | async"
             (click)="gotoDetail(hero)"
             class="search-result">
        {{ hero.name }}
        </div>
    </div>
</div>
